SDL_WindowShapeParams Union Reference

A union containing parameters for shaped windows. More...

`#include <SDL_shape.h>`

Collaboration diagram for SDL_WindowShapeParams:
[legend]

## Data Fields

Uint8 | binarizationCutoff
| a cutoff alpha value for binarization of the window shape's alpha channel. More...
SDL_Color | colorKey

## Detailed Description

A union containing parameters for shaped windows.

Definition at line 93 of file SDL_shape.h.

## Field Documentation

Uint8 SDL_WindowShapeParams::binarizationCutoff

a cutoff alpha value for binarization of the window shape's alpha channel.

Definition at line 95 of file SDL_shape.h.

Referenced by main(), RecursivelyCalculateShapeTree(), SDL_CalculateShapeBitmap(), and SDL_CreateShapedWindow().

SDL_Color SDL_WindowShapeParams::colorKey

Definition at line 96 of file SDL_shape.h.

Referenced by main(), RecursivelyCalculateShapeTree(), and SDL_CalculateShapeBitmap().

The documentation for this union was generated from the following file:

- include/SDL_shape.h